For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Creates or updates (upserts) a user's membership in a specified project. If the user is not yet a member they
are added; if they are already a member their project security role is replaced.
The role is optional. When the role is omitted for a new member, a default role is applied based on the user's
workspace access: users who can edit all projects become a Manager, guest users become a Guest, and everyone
else becomes an Editor. When the role is omitted for a user who is already a member, their current role is left
unchanged.
A project member is a user who has access to a specific project. Project members are assigned a project security role, which controls the level of access they have to
the project. Possible project security roles include manage, edit, collaborate, creator, and guest.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
projectIdstringRequiredformat: "uuid"
Reference to Project
userIdstringRequiredformat: "uuid"
Reference to User
Headers
x-integration-namestringOptional
The name of the calling system passed along as a header parameter
Request
The permission to set. The role is optional.
roleenum or nullOptional
Role to apply. Optional — when omitted, a default role is applied based on the
target user’s workspace access: users who can edit all projects become a Manager,
guest users become a Guest, and everyone else becomes an Editor. When updating an
existing member, omitting the role leaves their current role unchanged.
Allowed values:
Response
Success
errorobject or nullOptional
If the API call failed, this will contain information about the error that occurred.
successbooleanOptionalRead-only
True if the API call succeeded; false otherwise.
hasErrorbooleanOptionalRead-only
True if the API call failed.
statusCodeenumOptional
The HTTP code of the response.
dataobjectOptional
A ProjectMember is a user who can collaborate on a Project. You can control
permissions for what each ProjectMember can do and how they can interact with
the Project using this model.
Creates or updates (upserts) a user’s membership in a specified project. If the user is not yet a member they
are added; if they are already a member their project security role is replaced.
The role is optional. When the role is omitted for a new member, a default role is applied based on the user’s
workspace access: users who can edit all projects become a Manager, guest users become a Guest, and everyone
else becomes an Editor. When the role is omitted for a user who is already a member, their current role is left
unchanged.
A project member is a user who has access to a specific project. Project members are assigned a project security role, which controls the level of access they have to
the project. Possible project security roles include manage, edit, collaborate, creator, and guest.